import { world, system } from "@minecraft/server";

system.runInterval(() => {
    const players = world.getAllPlayers();
    players.forEach((player) => {
        if (player.isSneaking == false) return;
        const selectedSlot = player.getComponent("inventory").container.getSlot(player.selectedSlot);
        if (selectedSlot.amount == 0) return;
        const selectedItem = selectedSlot.getItem();
        const display = player.onScreenDisplay;
        if (selectedItem.hasComponent("durability")) {
            const maxDurability = selectedItem.getComponent("durability").maxDurability;
            const damage = selectedItem.getComponent("durability").damage;
            display.setActionBar(`§l§eDurability: §r§2${maxDurability - damage}/${maxDurability}`);
        }
    });
}, 1);